/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

export type { EuiDragDropContextProps } from './drag_drop_context';
export { EuiDragDropContext } from './drag_drop_context';
export type { EuiDraggableProps } from './draggable';
export { EuiDraggable } from './draggable';
export type { EuiDroppableProps } from './droppable';
export { EuiDroppable } from './droppable';
export {
  euiDragDropCopy,
  euiDragDropMove,
  euiDragDropReorder,
} from './services';

// Interfaces in react-beautiful-dnd that EUI abstracts over
// allows consumers to pull these from EUI instead of react-beautiful-dnd
export type {
  DraggableLocation,
  DraggableProps,
  DraggableProvidedDragHandleProps,
  DragDropContextProps,
  DragStart,
  DroppableProps,
  DropResult,
  ResponderProvided,
} from 'react-beautiful-dnd';
